<template>
  <select
    v-model="selected"
    class="bg-primary-200 rounded border border-primary-500 text-primary-700 px-2 py-1"
  >
    <option v-for="(item, index) in data" :key="index" :value="item.id()">
      {{ item.name() }}
    </option>
  </select>
</template>

<script>
export default {
  name: 'BaseSelectInput',
  props: {
    data: {
      require: true,
      type: Array,
      default: () => [],
    },
  },
  data() {
    return {
      selected: null,
    }
  },
  watch: {
    selected(value) {
      this.$emit('input', value)
    },
  },
}
</script>
